NFSTEST_IO(1)

NAME
nfstest_io - I/O tool

SYNOPSIS
nfstest_io -d <datadir> [options]

DESCRIPTION
This I/O tool is used to create and manipulate files of different types. The arguments allow running for a specified period of time as well as running multiple processes. Each process modifies a single file at a time and the file name space is different for each process so there are no collisions between two different processes modifying the same file.

OPTIONS

--version
    show program's version number and exit

-h, --help
    show this help message and exit

-d DATADIR, --datadir=DATADIR
    Top level directory where files will be created, it will be created if it does not exist

-s SEED, --seed=SEED
    Seed to initialized the random number generator [default: automatically generated]

-n NPROCS, --nprocs=NPROCS
    Number of processes to use [default: 1]

-r RUNTIME, --runtime=RUNTIME
    Run time [default: '0']

-v VERBOSE, --verbose=VERBOSE
    Verbose level: none|info|debug|dbg1-7|all [default: 'none']

-e, --exiterr
    Exit on first error

  Read and write:

--read=READ
    Read file percentage [default: 40.0]

--write=WRITE
    Write file percentage [default: 40.0]

--rdwr=RDWR
    Read/write file percentage [default: 20.0]

--randio=RANDIO
    Random file access percentage [default: 50.0]

--iodelay=IODELAY
    Seconds to delay I/O operations [default: 0.0]

--direct
    Use direct I/O

--rdwronly
    Use read and write only, no rename, remove, etc.

  File operations:

--create=CREATE
    Create file percentage [default: 5.0]

--odgrade=ODGRADE
    Open downgrade percentage [default: 5.0]

--osync=OSYNC
    Open file with O_SYNC [default: 10.0]

--fsync=FSYNC
    Percentage of fsync after write [default: 2.0]

--rename=RENAME
    Rename file percentage [default: 5.0]

--remove=REMOVE
    Remove file percentage [default: 5.0]

--trunc=TRUNC
    Truncate file percentage [default: 2.0]

--ftrunc=FTRUNC
    Truncate opened file percentage [default: 2.0]

--link=LINK
    Create hard link percentage [default: 1.0]

--slink=SLINK
    Create symbolic link percentage [default: 0.2]

--readdir=READDIR
    List contents of directory percentage [default: 0.5]

--lock=LOCK
    Lock file percentage [default: 20.0]

--unlock=UNLOCK
    Unlock file percentage [default: 80.0]

--tlock=TLOCK
    Lock test percentage [default: 20.0]

--lockfull=LOCKFULL
    Lock full file percentage [default: 50.0]

--minfiles=MINFILES
    Minimum number of files to create before any file operation is executed [default: 10]

  File size options:

--fsizeavg=FSIZEAVG
    File size average [default: 1m]

--fsizedev=FSIZEDEV
    File size standard deviation [default: 256k]

--rsize=RSIZE
    Read block size [default: 64k]

--rsizedev=RSIZEDEV
    Read block size standard deviation [default: 8k]

--wsize=WSIZE
    Write block size [default: 64k]

--wsizedev=WSIZEDEV
    Write block size standard deviation [default: 8k]

--sizemult=SIZEMULT
    Size multiplier [default: 1.0]

  Logging options:

--createlog
    Create log file

--createlogs
    Create a log file for each process

--logdir=LOGDIR
    Log directory [default: '/tmp']

SEE ALSO
nfstest.file_io(3), nfstest_alloc(1), nfstest_cache(1), nfstest_delegation(1), nfstest_dio(1), nfstest_fcmp(1), nfstest_file(1), nfstest_interop(1), nfstest_lock(1), nfstest_pkt(1), nfstest_pnfs(1), nfstest_posix(1), nfstest_rdma(1), nfstest_sparse(1), nfstest_ssc(1), nfstest_xattr(1), nfstest_xid(1)

BUGS
No known bugs.

AUTHOR
Jorge Mora (mora@netapp.com)